<h3>Statistiques web</h3>
<p>Vous pouvez activer les statistiques web pour le domaine externe de votre choix.</p>
<h4>Activation des statistiques web</h4>
<p>Vos statistiques web seront publiques. Elles sont actualisées tous les jours vers 6h.<br/>
Vous ne pouvez pas activer les statistiques web sur <?php echo $_SESSION['Utilisateur']; ?>.kelio.org.</p>
<?php
$ListTable = $MySql->Select ("*", "domaine", "Utilisateur='".$_SESSION['Utilisateur']."' AND Status='2' AND Stats!='1'", "", "", "", "");

if ( VerifPOST("Domaine", "#^[a-z0-9.-]+\.[a-z]+$#", 5, 120) == "ChaineValide" )
{
$ListDomaine = $MySql->Select ("*", "domaine", "Adresse='".$_POST['Domaine']."' AND Stats='1'", "", "", "", "");

	if ( $ListDomaine != FALSE )
		{
		echo '<p>ERREUR : Les statistiques web sont déjà activées pour <strong>'.$_POST["Domaine"].'</strong></p>';
		}
	else
		{
		$UpdateDomaine = $MySql->Update ("domaine", "Stats", "1", "Adresse='".$_POST['Domaine']."'");
		if ( $UpdateDomaine != FALSE )
			{
			echo '<p>Les statistiques web ont bien été activées pour <strong>'.$_POST["Domaine"].'</strong></p>';
			echo '<p>Note. Vous pourrez commencer à consulter vos statistiques d\'ici 24h.</p>';
			}
		else
			{
			echo '<p>Une erreur est survenue</p>';
			}
		}
}
else
{
if ( $ListTable == FALSE)
	{
	$TotalEnregistement = 0;
	}
else
	{
	echo '<table><form action="Page-Domaine-Stats.html" method="post">
	<tr><td>Votre domaine : <select name="Domaine" style="border: 0; border-bottom: #006633 1px solid; width:100%;">
	<option selected="selected" value="">Sélectionnez</option>';
	$TotalEnregistement = count ($ListTable);
		for ($i=0; $i < $TotalEnregistement; $i++)
		{
		echo "<option value='".$ListTable[$i]["Adresse"]."'>".$ListTable[$i]["Adresse"]."</option>\n";
		}
	echo '</select></td></tr>
	<tr><td><input type="submit" value="Valider" style=" border: #006633 1px solid;" /></td></tr>
	</form></table>';
	}
	
}

echo '<h4>Statistiques web activées</h4>';
if (isset($_GET['desactivate']))
	{
	$UpdateDomaine = $MySql->Update ("domaine", "Stats", "0", "Utilisateur='".$_SESSION['Utilisateur']."' AND Status='2' AND Stats='1' AND Adresse='".$_GET['desactivate']."'");
	if ($UpdateDomaine != FALSE)
		{
		echo 'Les statistiques sur '.$_GET['desactivate'].' ont bien été désactivées';
		}
	else
		{
		echo 'Erreur lors de la désactivation des statistiques';
		}	
	}

$ListTable = $MySql->Select ("*", "domaine", "Utilisateur='".$_SESSION['Utilisateur']."' AND Stats='1'", "", "", "", "");

if ( $ListTable == FALSE)
	{
	$TotalEnregistement = 0;
	echo 'Pas de statistiques activées';
	}
else
	{
	$TotalEnregistement = count ($ListTable);
	echo '<ul>';
	for ($i=0; $i < $TotalEnregistement; $i++)
		{
		echo '<li>';
		echo $ListTable[$i]["Adresse"];
		echo ' <a href="http://stats.kelio.org/'.$ListTable[$i]["Adresse"].'">[Consulter]</a>';
		echo '</li>';
		}
	echo '</ul>';
	}
	
?>